Ubuntu

package cvs 1:1.12.13-12ubuntu1 failed to install/upgrade: there is no script in the new version of the package - giving up

Reported by Aaron Grahn on 2012-03-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
texinfo (Ubuntu)
Undecided
Unassigned

Bug Description

I can't uninstall cvs, and I can't upgrade cvs. The package seems to be broken in some mysterious way.

ProblemType: Package
DistroRelease: Ubuntu 10.04
Package: cvs 1:1.12.13-12ubuntu1
ProcVersionSignature: Ubuntu 2.6.32-38.83-generic 2.6.32.52+drm33.21
Uname: Linux 2.6.32-38-generic i686
AptOrdering:
 cvs: Install
 cvs: Configure
Architecture: i386
Date: Wed Mar 7 14:35:48 2012
ErrorMessage: there is no script in the new version of the package - giving up
InstallationMedia: Ubuntu-Netbook 10.04 "Lucid Lynx" - Release i386 (20100429.4)
SourcePackage: cvs
Title: package cvs 1:1.12.13-12ubuntu1 failed to install/upgrade: there is no script in the new version of the package - giving up

Aaron Grahn (aaron-grahn-999) wrote :
Thorsten Glaser (mirabilos) wrote :

The relevant lines here are:

Preparing to replace cvs 1:1.12.13-12ubuntu1 (using .../cvs_1%3a1.12.13-12ubuntu1.10.04.1_i386.deb) ...
install-info: No dir file specified; try --help for more information.
dpkg: warning: old pre-removal script returned error exit status 1

So some Ubuntu upgrade broke install-info.

What you can locally do is this:

sudo rm /var/lib/dpkg/info/cvs.prerm
sudo dpkg -a --configure

Then try to upgrade (sudo apt-get install cvs) or remove (sudo dpkg --purge cvs) it again.

affects: cvs (Ubuntu) → texinfo (Ubuntu)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers